### Virtual Method

# RB TransferTarget should_transfer

#### Declaration [src]

    gboolean
    should_transfer (
      RBTransferTarget* target,
      RhythmDBEntry* entry
    )

#### Description [src]

Checks whether `entry` should be transferred to the target. The target can check whether a matching entry already exists on the device, for instance. `rb_transfer_target_check_duplicate` may form part of an implementation. If this method returns `FALSE`, the entry will be skipped.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry` to consider transferring.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the entry should be transferred to the target.